Package org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.clientserver

# Class CircuitBreakerClassLevelClientWithRetry

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.clientserver.CircuitBreakerClassLevelClientWithRetry

All Implemented Interfaces:
  `Serializable`

@RequestScoped @CircuitBreaker(successThreshold=2, requestVolumeThreshold=4, failureRatio=0.75, delay=50000L) @Retry(retryOn=java.lang.RuntimeException.class, maxRetries=7) public class CircuitBreakerClassLevelClientWithRetry extends Object implements Serializable
A client to exercise Circuit Breaker thresholds using Retries. Annotations are specified at both the Class and Method level.

Author:
  Neil Young
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CircuitBreakerClassLevelClientWithRetry()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCounterForInvokingServiceA()`
`int`
`getCounterForInvokingServiceB()`
`Connection`
`serviceA()`
`Connection`
`serviceB()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CircuitBreakerClassLevelClientWithRetry

public CircuitBreakerClassLevelClientWithRetry()

## Method Details

### getCounterForInvokingServiceA

public int getCounterForInvokingServiceA()

### getCounterForInvokingServiceB

public int getCounterForInvokingServiceB()

### serviceA

public Connection serviceA()

### serviceB

@CircuitBreaker(successThreshold=2, requestVolumeThreshold=4, failureRatio=0.75, delay=50000L) @Retry(retryOn=java.lang.RuntimeException.class, maxRetries=2) public Connection serviceB()